View Issue Details

IDProjectCategoryView StatusLast Update
0000921DraftBugpublic2013-10-18 19:22
Reporterts468Assigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0000921: Upgrading wire to face deletes object
DescriptionUpgrading the lines in the attached file to a wire works, subsequent upgrade to a face deletes the object.

Guess for the cause of the problem:
The wire defines a clear inside and a clear outside, but not all inside areas are connected. Also, some points on the wire are shared by more than two edges/lines.

Idea:
Hatching the same structure with e.g. LibreCAD works fine, and maybe its algorithm can be used to convert the wire into a face as well?


Many thanks in advance for your efforts!!
Additional InformationOS: Debian GNU/Linux testing (wheezy)
Platform: 64-bit
Version: 0.13.1779 (Git)
Branch: master
Hash: 480f28032279505f2399fe08ee41a32228026c0f
Python version: 2.7.3rc2
Qt version: 4.8.2
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.2
TagsNo tags attached.

Relationships

child of 0000893 closedyorik Fail to upgrade wire to face in drafting module 

Activities

2012-12-20 16:06

 

test2.dxf (51,555 bytes)

Jriegel

2012-12-20 18:34

administrator   ~0002684

I think thats one for you Yorik

yorik

2012-12-20 22:20

administrator   ~0002731

That's a very complex case... The lines form a wire that overlaps itself several times. I think it is (at least at this moment) much to ask that the draft module would be so intelligent as to sort out what to do with that...

LibreCAD has another purpose, which is to find an area enclosed by boundaries, which would be of little use here.

I'll have a look if the OCC wire healing stuff can be of any use here, but if not, I'm afraid there will be little I can do at the moment.

Anyway in such a case, I think it is easy to manually select the segments and form separate faces one by one...

yorik

2013-02-04 13:31

administrator   ~0002879

More test cases: http://forum.freecadweb.org/viewtopic.php?f=3&t=3527

yorik

2013-02-04 19:19

administrator   ~0002881

I committed a little fix already (commit 60ccb19) that at least doesn't make the selected object disappear if the face cannot be formed, but this problem is still not solved...

yorik

2013-10-18 19:22

administrator   ~0003770

Fixed with commit e18fb98

Issue History

Date Modified Username Field Change
2012-12-20 16:06 ts468 New Issue
2012-12-20 16:06 ts468 File Added: test2.dxf
2012-12-20 18:34 Jriegel Status new => assigned
2012-12-20 18:34 Jriegel Assigned To => Jriegel
2012-12-20 18:34 Jriegel Assigned To Jriegel => yorik
2012-12-20 18:34 Jriegel Note Added: 0002684
2012-12-20 22:20 yorik Note Added: 0002731
2012-12-20 22:26 yorik Severity major => minor
2013-02-04 13:31 yorik Note Added: 0002879
2013-02-04 19:19 yorik Note Added: 0002881
2013-02-04 19:22 yorik Relationship added child of 0000893
2013-10-18 19:22 yorik Note Added: 0003770
2013-10-18 19:22 yorik Status assigned => closed
2013-10-18 19:22 yorik Resolution open => fixed
2013-10-18 19:22 yorik Fixed in Version => 0.14